---
title: Node.prefix
slug: Web/API/Node/prefix
tags:
  - API
  - DOM
  - Obsolete
  - Property
---
<div>{{APIRef("DOM")}}{{obsolete_header}}</div>

<p>The <code><strong>Node.prefix</strong></code> read-only property returns the namespace prefix of the specified node, or <code>null</code> if no prefix is specified.</p>

<div class="warning">
<p>In DOM4 this API was moved from <code>Node</code> to the {{domxref("Element")}} and {{domxref("Attr")}} interfaces.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><var>string</var> = <var>node</var>.prefix
</pre>

<h2 id="Examples">Examples</h2>

<p>The following logs "x" to the console.</p>

<pre class="brush:xml">&lt;x:div onclick="console.log(this.prefix)"/&gt;
</pre>

<h2 id="Notes">Notes</h2>

<p>This will only work when a namespace-aware parser is used, i.e. when a document is served with an XML MIME type. This will not work for HTML documents.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("DOM3 Core", "core.html#ID-NodeNSPrefix", "Node.prefix")}}</td>
   <td>{{Spec2("DOM3 Core")}}</td>
   <td>Specifies the behavior when it's set to <code>null</code>.</td>
  </tr>
  <tr>
   <td>{{SpecName("DOM2 Core", "core.html#ID-NodeNSPrefix", "Initial definition")}}</td>
   <td>{{Spec2("DOM2 Core")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Node.prefix")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("Node.localName")}}</li>
 <li>{{domxref("Node.namespaceURI")}}</li>
 <li>{{domxref("Element.prefix")}}</li>
 <li>{{domxref("Attr.prefix")}}</li>
</ul>
